STOREBACKUPCHECKBACKUP(1)

NAME
storeBackupCheckBackup.pl - checks if a file in the backup is missing or corrupted

SYNOPSIS
        storeBackupCheckBackup.pl -c backupDir [-v level] [-p number] [-i]

DESCRIPTION
This program calculates md5 sums from the files in the backup and compares them with md5 sums stored by storeBackup.pl. It so will recognize, if a file in the backup is missing or currupted. It only checks plain files, not special files or symbolic links.

OPTIONS

--print
        print configuration parameters and stop

--checkDir, -c
        backup or top of backups to check

--backupRoot, -b
        root of storeBackup tree, normally not needed

--verbose, -v
        generate statistics

--parJobs, -p
        number of parallel jobs, default = chosen automatically

--includeRenamedBackups, -i
        include renamed backups into the check
        renamed backups must follow the convention <backupDir>-<something>

COPYRIGHT
Copyright (c) 2008-2012 by Heinz-Josef Claes (see README) Published under the GNU General Public License v3 or any later version